MCP is live.Set upAsk the community
OmniDimension
Voice cloning

Update a cloned voice

Change the name, description or gender of a cloned voice.

PATCH/voices/
Path parameters
voice_idrequired
Body
3 fields
·

1 to 100 characters.

curl -X PATCH 'https://backend.omnidim.io/api/v1/voices/{voice_id}' \
  -H 'Authorization: Bearer YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{}'
Example response
synthetic
{
  "voice": {
    "id": 412,
    "name": "Front desk",
    "description": "string",
    "language": "en",
    "gender": "male",
    "status": "processing",
    "voice_id": "8a1c2f5e-3b7d-4c9a-9f21-2e6b0d4a7c88",
    "sample_url": "string",
    "error": "string",
    "created_at": "string",
    "ready_at": "string"
  }
}

Authorization

BearerAuth
AuthorizationBearer <token>

Bearer token authentication. Obtain your API key from the OmniDimension dashboard.

In: header

Path Parameters

voice_id*integer

Id of the cloned voice.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response body

application/json

Response Body

application/json

application/json

application/json

application/json